### Property

# Gdk Device:modifier-state

#### Declaration

    property modifier-state: Gdk.ModifierType [ read ]

#### Description [src]

The current modifier state of the device.

This is only relevant for keyboard devices.

Type: | `GdkModifierType`

Default value | GDK_NO_MODIFIER_MASK
Getter method | `gdk_device_get_modifier_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no